Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(214)

Issue 2021773002: Use only DIPs size in ClientResolution. (Closed)

Created:
4 years, 2 months ago by Sergey Ulanov
Modified:
4 years, 2 months ago
Reviewers:
Jamie
CC:
chromium-reviews, chromoting-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Use only DIPs size in ClientResolution. ClientResolution message contains DIPs and device size fields. DIPs size was marked as legacy, but it was actually used by the host. It's best to use DIPs for consistency with other messages, particularly VideoTrackLayout. marked device-pixel size as deprecated and the host now works when width/height fields are not specified. Committed: https://crrev.com/54624e1a736de7222d7405f5337f858bd4b8c2e1 Cr-Commit-Position: refs/heads/master@{#397102}

Patch Set 1 : #

Total comments: 4

Patch Set 2 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+27 lines, -21 lines) Patch
M remoting/client/plugin/chromoting_instance.cc View 1 1 chunk +5 lines, -4 lines 0 comments Download
M remoting/host/client_session.cc View 1 chunk +1 line, -8 lines 0 comments Download
M remoting/proto/control.proto View 1 chunk +4 lines, -4 lines 0 comments Download
M remoting/protocol/host_control_dispatcher.cc View 1 1 chunk +8 lines, -1 line 0 comments Download
M remoting/protocol/webrtc_video_renderer_adapter.cc View 1 1 chunk +7 lines, -2 lines 0 comments Download
M remoting/test/app_remoting_connection_helper.cc View 1 chunk +2 lines, -2 lines 0 comments Download

Messages

Total messages: 11 (5 generated)
Sergey Ulanov
4 years, 2 months ago (2016-05-30 08:37:41 UTC) #3
Jamie
lgtm https://codereview.chromium.org/2021773002/diff/20001/remoting/client/plugin/chromoting_instance.cc File remoting/client/plugin/chromoting_instance.cc (right): https://codereview.chromium.org/2021773002/diff/20001/remoting/client/plugin/chromoting_instance.cc#newcode819 remoting/client/plugin/chromoting_instance.cc:819: // Include the legacy width & height in ...
4 years, 2 months ago (2016-05-31 20:40:47 UTC) #4
Sergey Ulanov
https://codereview.chromium.org/2021773002/diff/20001/remoting/client/plugin/chromoting_instance.cc File remoting/client/plugin/chromoting_instance.cc (right): https://codereview.chromium.org/2021773002/diff/20001/remoting/client/plugin/chromoting_instance.cc#newcode819 remoting/client/plugin/chromoting_instance.cc:819: // Include the legacy width & height in DIPs ...
4 years, 2 months ago (2016-06-01 10:08:51 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2021773002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2021773002/40001
4 years, 2 months ago (2016-06-01 10:09:09 UTC) #8
commit-bot: I haz the power
Committed patchset #2 (id:40001)
4 years, 2 months ago (2016-06-01 10:54:47 UTC) #9
commit-bot: I haz the power
4 years, 2 months ago (2016-06-01 10:55:58 UTC) #11
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/54624e1a736de7222d7405f5337f858bd4b8c2e1
Cr-Commit-Position: refs/heads/master@{#397102}

Powered by Google App Engine
This is Rietveld 408576698